ATI driver (nepodporoany kernel?)

Sekcia: Hardware a Drivery 26.02.2007 | 22:07
Avatar Dušan Ďurech Debian Lenny 5.0  Používateľ
Dobry den

mam Free Mandrivu Linux 2007
kernel 2.6.20
ATI Radeon 9000
ovladac ati-driver-installer-8.28.8.run

ked spustim script:
/lib/modules/fglrx/build_mod/make.sh
napise:

OUT:
initializing...
/lib/modules/fglrx/build_mod/make.sh: line 518: [: =: unary operator expected
./firegl_public.c: required file is missing in build directory


--------------------------------------------------------------------------

Symlinky :
=========

file /usr/src/linux
/usr/src/linux: symbolic link to `linux-2.6.20/'

file /usr/include/linux
/usr/include/linux: symbolic link to `/usr/src/linux/include/linux/'

file /lib/modules/2.6.20/build
/lib/modules/2.6.20/build: symbolic link to `/usr/src/linux-2.6.20'

--------------------------------------------------------------------------

Logy :
====

cat fglrx-install.log
initializing...
Error:
kernel includes at /lib/modules/2.6.20/build/include do not match current kernel.
they are versioned as ""
instead of "2.6.20".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux
[Error] Kernel Module : Failed to compile kernel module - please consult readme.

//////////////////////////////////////////////////////////////

cat /lib/modules/fglrx/build_mod/make.sh.log
OUT:
initializing...
build_date =Po úno 26 19:59:39 CET 2007
uname -a =Linux localhost 2.6.20 #1 SMP Tue Feb 6 20:51:19 CET 2007 i686 Intel(R) Celeron(R) CPU 2.20GHz GNU/Linux
uname -s =Linux
uname -m =i686
uname -r =2.6.20
uname -v =#1 SMP Tue Feb 6 20:51:19 CET 2007
uid=0(root) gid=0(root) skupiny=0(root)
.
drwxr-xr-x 119 root root 18432 úno 26 19:50 /usr/include
.
celkem 4
drwxr-xr-x  2 root root 1024 úno 26 19:54 ATI
lrwxrwxrwx  1 root root   13 úno 26 19:01 linux -> linux-2.6.20/
drwxr-xr-x 20 root root 2048 úno 14 14:13 linux-2.6.20
drwxr-xr-x  7 root root 1024 pro 22 10:22 rpm
.
file /lib/modules/2.6.20/build/include/linux/agp_backend.h says: AGP=1
OsVersion says: SMP=1
file /proc/kallsyms says: SMP=1
file /lib/modules/2.6.20/build/include/linux/autoconf.h says: SMP=1
file /lib/modules/2.6.20/build/include/linux/autoconf.h says: MODVERSIONS=
.
CC=gcc
cc_version=
found major but not minor version match for gcc and the ip-library
ls -l ./libfglrx_ip.a
lrwxrwxrwx 1 root root 20 úno 26 19:59 ./libfglrx_ip.a -> ./libfglrx_ip.a.GCC4
.
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
def_vma_api_version=-DFGL_LINUX253P1_VMA_API
 Assuming default VMAP API
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.20/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-2.6.20'
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:180: error: expected declaration specifiers or ‘...’ before ‘mlock’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:180: error: expected declaration specifiers or ‘...’ before ‘addr’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:180: error: expected declaration specifiers or ‘...’ before ‘len’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:182: warning: return type defaults to ‘int’
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘_syscall2’:
...
(atd.)

//////////////////////////////////////////////////////////////

Xorg.log warnning :
OUT:
(WW) fglrx: No matching Device section for instance (BusID PCI:1:0:1) found
(WW) fglrx(0): Bad V_BIOS checksum
(WW) fglrx(0): Failed to open DRM connection
(WW) fglrx(0): board is an unknown third party board, chipset is supported
(WW) fglrx(0): ***********************************************
(WW) fglrx(0): * DRI initialization failed!                  *
(WW) fglrx(0): * (maybe driver kernel module missing or bad) *
(WW) fglrx(0): * 2D acceleraton available (MMIO)             *
(WW) fglrx(0): * no 3D acceleration available                *
(WW) fglrx(0): ********************************************* *
(WW) fglrx(0): Option "VendorName" is not used
(WW) fglrx(0): Option "ModelName" is not used

//////////////////////////////////////////////////////////////

Xorg.log error :
OUT:
(EE) AIGLX: Screen 0 is not DRI capable

PS:
tipujem, ze to bude nepodporovanym kernelom



    • Re: ATI driver (nepodporoany kernel?) 26.02.2007 | 22:12
      Avatar borg Arch, Debian jessie  Administrátor
      uz to tu bolo riesene, nove drivre ati nepodporuju kernel 2.6.20.
      • Re: ATI driver (nepodporoany kernel?) 26.02.2007 | 22:21
        Avatar Dušan Ďurech Debian Lenny 5.0  Používateľ
        >nove drivre ati nepodporuju kernel 2.6.20

        Dakujem, za odpoved,
        necakal som, ze :
        ATI driver 8.28.8 ktory vysiel Aug. 18, 2006 je novy.
        (suhlasim vsak s tym, ze ani stare ovladace nepodporuju nove jadro)
        • Re: ATI driver (nepodporoany kernel?) 27.02.2007 | 00:30
          Avatar fixinko Slackware,Gentoo,Solaris  Administrátor
          googlil som na nete a nasiel som patch... www.fixinko.sk/fglrx-2.6.20.patch. Staci tym patchnut zdrojaky fglrx a pojde to skompilovat na 2.6.20.x kerneli... odskusane na novom fglrx a 2.6.20.1
          So let it be written, so let it be done....
        • Re: ATI driver (nepodporoany kernel?) 27.02.2007 | 00:38
          --   Návštevník
          kedze ani nove ati ovladace jadro 2.6.20 zatial nepodporuju tak je logicke ze ho nebudu podporovat ani stare ovladace :-)
    • Re: ATI driver (nepodporoany kernel?) 27.02.2007 | 00:36
      --   Návštevník
      po vydani noveho jadra treba zvycajne nejaky ten cas pockat kym ati vyda ovladac fungujuci s danym jadrom. takze cakaj kym ati vyda nasledujucu verziu ovladaca alebo zatial pouzivaj starsie jadro na ktorom fglrx ovladac funguje
      • Re: ATI driver (nepodporoany kernel?) 27.02.2007 | 14:52
        Avatar Dušan Ďurech Debian Lenny 5.0  Používateľ
        >googlil som na nete a nasiel som patch... >www.fixinko.sk/fglrx-2.6.20.patch. Staci tym
        >patchnut zdrojaky fglrx a >pojde to skompilovat
        >na 2.6.20.x kerneli...

        Vsetkym vam Dakujem, prepacte, ze som vas otravoval a lutujem, ze som to nenasiel ja.